Beefy Boxes and Bandwidth Generously Provided by pair Networks
There's more than one way to do things
 
PerlMonks  

Re^9: Beginner Recommendations

by Bod (Parson)
on Mar 29, 2023 at 23:43 UTC ( [id://11151334] : note . print w/replies, xml ) Need Help??


in reply to Re^8: Beginner Recommendations
in thread Beginner Recommendations

If you are using a perl earlier than 5.18, it is highly likely that your CGI scripts are vulnerable to algorithmic complexity attacks via hash keys

Interesting and worrying that many shared hosting providers use Perl 5.16.x

Replies are listed 'Best First'.
Re^10: Beginner Recommendations
by hippo (Bishop) on Mar 30, 2023 at 08:48 UTC

    CentOS 7, perchance? They only have another year of O/S support in that case so you'll get something slightly newer in a while. Also note that RH have been known to ship patched versions of key applications without bumping internal version numbers and this might (might!) apply to perl.

    Anyway, all of our customers on shared hosting are on 5.34 now. Msg me if you are thinking of moving.


    🦛